version: '3'

vars:
  ROOT: /mnt/sdb/www/mocus/code

tasks:

  run:
    silent: true
    desc: Run all C projects
    cmds:
      - task: all-c

  c-algo:
    desc: Test c-algo
    dir: "{{.ROOT}}/c-algo"
    cmds:
      - task run

  c-euler:
    desc: Test c-euler
    dir: "{{.ROOT}}/c-euler"
    cmds:
      - task run

  c-mcu:
    desc: Test c-mcu
    dir: "{{.ROOT}}/c-mcu"
    cmds:
      - task run

  c-X11:
    desc: Test c-X11
    dir: "{{.ROOT}}/c-X11"
    cmds:
      - task run

  all-c:
    desc: Test all C projects
    cmds:
      - task: c-algo
      - task: c-euler
      - task: c-mcu
      - task: c-X11
